%{!?apxs: %{expand: %%define apxs %{_sbindir}/apxs}}
%define aplibdir    %(%{apxs} -q LIBEXECDIR 2>/dev/null)
%define apincdir    %(%{apxs} -q INCLUDEDIR 2>/dev/null)
%define aplogdir    %{_localstatedir}/log/httpd
%define aprundir    %{_localstatedir}/run
%define section     free

Summary:        Tomcat mod_jk2 connector for Apache 2.0.x
Name:           mod_jk2
Version:        2.0.4
Release:        2jpp
Epoch:          0
Vendor:         JPackage Project
Distribution:   JPackage
License:        Apache Software License
Group:          Internet/WWW/Servers
URL:            http://jakarta.apache.org/tomcat/
Source0:        http://jakarta.apache.org/builds/jakarta-tomcat-4.0/release/v4.1.24/src/jakarta-tomcat-connectors-4.1.24-src.tar.gz
Source1:        workers2.properties.sample
Source2:        mod_jk2.conf.sample
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  libtool, %{apxs}, %{_bindir}/perl, jpackage-utils >= 0:1.5
%{?!_without_pcre:BuildRequires: %{_bindir}/pcre-config}
Provides:       mod_jk2-ap20 = %{epoch}:%{version}-%{release}
Obsoletes:      tomcat-mod

%description
Tomcat 4.x mod_jk2 connector for Apache 2.0.x.

You can use the "--define 'apxs /path/to/your/apxs'" rpm build command
option to build with a custom apxs.

%package        tools
Summary:        Analysis and report tools for mod_jk2
Group:          Internet/Log Analysis

%description    tools
Miscellaneous mod_jk2 analysis and report tools.

# -----------------------------------------------------------------------------

%prep
%setup -q -n jakarta-tomcat-connectors-4.1.24-src
perl -pi -e 's|/usr/local/bin\b|%{_bindir}|' jk/tools/reports/*.pl
perl -pi -e 's|-lapr-0\b|-lapr|' jk/native2/server/apache2/Makefile.in
install -p -m 0644 %{SOURCE1} %{SOURCE2} .
perl -pi -e \
  's|\@logdir\@|%{aplogdir}| ;
   s|\@rundir\@|%{aprundir}|' \
  workers2.properties.sample

# -----------------------------------------------------------------------------

%build

cd jk/native2

[ -x ./configure ] || sh ./buildconf.sh
%{?!_without_pcre:CFLAGS="$RPM_OPT_FLAGS `pcre-config --cflags`"} %configure \
  --with-apxs2=%{apxs} \
  --with-java-home=%{java_home} \
  --with-java-platform=2 \
  --with-jni \
  --with-apr-include=%{apincdir} \
%{!?_without_pcre:  --with-pcre}

make %{?_smp_mflags}

cd ../..

# -----------------------------------------------------------------------------

%install
rm -rf $RPM_BUILD_ROOT

install -d -m 0755 $RPM_BUILD_ROOT%{aplibdir}
install -p -m 0755 jk/build/jk2/apache2/*.so $RPM_BUILD_ROOT%{aplibdir}

install -d -m 0755 $RPM_BUILD_ROOT%{_bindir}
install -p -m 0755 jk/tools/reports/*.pl $RPM_BUILD_ROOT%{_bindir}

# -----------------------------------------------------------------------------

%clean
rm -rf $RPM_BUILD_ROOT

# -----------------------------------------------------------------------------

%files
%defattr(-,root,root,-)
%doc LICENSE jk/native2/*.html jk/native2/*.txt *.sample
%{aplibdir}/*

%files tools
%defattr(-,root,root,-)
%doc jk/tools/reports/README.txt
%{_bindir}/*

# -----------------------------------------------------------------------------

%changelog
* Thu Jul 24 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:2.0.4-2jpp
- Remove spurious mod_jk1 Jk* directives from the sample config file.
- Cosmetic spec file tweaks.

* Fri Jun 27 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:2.0.4-1jpp
- Add missing e:v-r to mod_jk2-ap20 Provides.
- First public JPackage release.

* Thu Jun 26 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:2.0.4-0.2jpp
- Include sample config.

* Wed Jun 25 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:2.0.4-0.1jpp
- Made apxs customizable with
  "rpmbuild --rebuild --define 'apxs /path/to/your/apxs'".

* Wed Jun 25 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:2.0.4-0jpp
- First build.
